% ===   ***** ***** ***** ***** ***** ***** *****  	 === %
% ===   BSPTREE_DELETE_NODE.M - > DELETE FROM BSPTREE=== %
% ===   ***** ***** ***** ***** ***** ***** *****  	 === %
% ===   UPDATED: 24 MAY, 2015                        === %
% ===   ***** ***** ***** ***** ***** ***** *****  	 === %

function [] = bsptree_delete_node(idx)
% === === === === === === === === === %
% INPUT:  IDX - NODE ID
% OUTPUT: 
% === === === === === === === === === %
global BSPTREE;

len_idx = length(idx);

for i = 1 : len_idx
    % WHEN D = -1, IT MEANS THIS NODE IS NOT INITIALIZED
    % ITS PARENT IS NULL, AND OFFSPRING POINTING TO LAST
    BSPTREE.d(1, idx(i)) = -1;
    BSPTREE.p_idx(1, idx(i)) = 0;
    BSPTREE.l_idx(1, idx(i)) = BSPTREE.last;
    BSPTREE.r_idx(1, idx(i)) = BSPTREE.last;
end

end