% ===   ***** ***** ***** ***** ***** ***** *****  	=== %
% ===   GET_PRUNE_LIST RAND PRUNING              	=== %
% ===   ***** ***** ***** ***** ***** ***** *****  	=== %
% ===   UPDATED: 24 MAY, 2015                       === %
% ===   ***** ***** ***** ***** ***** ***** *****  	=== %

function [prune_list] = get_prune_list_r()

global BSPTREE;

prune_list = [];
s = [];
idx = 1;

while (BSPTREE.ts(1, idx) < inf && BSPTREE.r_idx(1, idx) > 0) || (~ isempty(s))
    while BSPTREE.ts(1, idx) < inf
        if (~ BSPTREE.d(1, idx)) && (~ BSPTREE.vn(1, idx))
        % IF LEAF NODE && DIFFERENT FROM ITS PARENT %
        	prune_list = [prune_list, idx];
        end
        s = [s, idx];
        idx = BSPTREE.l_idx(1, idx);
    end
    if ~ isempty(s)
        idx = s(end);
        s(end) = [];
        idx = BSPTREE.r_idx(1, idx);
    end
end

len = length(prune_list);
prune_list = prune_list(randperm(len));

end